Get

[POST] .../v1/accountbalance/get

Returns account balance information. Retrieve account balances for finance dashboards, payment selection and account movement validation without changing account data. The response returns paged AccountBalance records with next_offset and total and supports the same account filters, sort_orders, search, limit and offset fields as Account/Get. Use firm_id with Equal to select the company for balance calculation; conflicting firm_id filters return error 1008. The caller must have account balance access permission; missing request body, denied access, invalid filters or sorting and calculation or storage errors are returned as HTTP 200 ErrorResult.

Request Parameters

Name Type Required Description
filters Array of Filter Optional Optional filters by fields available for this API method.
limit Int32 Optional Maximum number of records to return. The effective limit is defined by server settings.
offset Int32 Optional Offset from the beginning of the result set.
search String Optional Search string for the name field.
sort_orders Array of AccountSortOrder Optional Output data sorting.

Filterable Fields

Field Type Description
code string
currency_id int Currency IDs.
firm_id int Company ID used to calculate account balances.
id int Accounts IDs.
last_update int
name string

Sortable Fields

Field
Code
CurrencyName
Id
LastUpdate
Name

Request Example

{
  "filters": [
    {
      "Field": "code",
      "Operator": "Equal",
      "Value": "string"
    }
  ],
  "limit": 1,
  "offset": 1,
  "search": "string",
  "sort_orders": [
    {
      "column": "Id",
      "direction": "ASC"
    }
  ]
}

Response Parameters

Name Type Description
next_offset Int32 Offset for the next data page.
ok Boolean Indicates whether the request completed successfully.
result Array of AccountBalance Result array.
total Int64 Total number of result items.

Response Example

{
  "next_offset": 1,
  "ok": true,
  "result": [
    {
      "balance": 1.0,
      "code": "string",
      "currency": {
        "code_chr": "string",
        "code_num": 1,
        "deleted": true,
        "exchange_rate": 1.0,
        "id": 1,
        "is_base": true,
        "last_update": 1,
        "name": "string"
      },
      "id": 1,
      "last_update": 1,
      "name": "string"
    }
  ],
  "total": 1
}